#include <lv2plugin.hpp>


using namespace LV2;


class SRLatch : public Plugin<SRLatch> {
public:

  SRLatch(double rate)
    : Plugin<SRLatch>(4) {

  }

  void run(uint32_t nframes) {
    if (*p(0) > 0 && *p(1) != 1){
    	*p(1) = 1;
    	*p(3) = 0;
    }
    if (*p(2) > 0 && *p(1) != 0){
    	*p(1) = 0;
    	*p(3) = 1;
    }
  }

};


static int _ = SRLatch::register_class("http://uli-plugins.sourceforge.net/lv2/srlatch");
